﻿from PIL import Image
import matplotlib.pyplot as plt
photo =["G1945.JPG","G1985.JPG","G1990.JPG","G1995.JPG","G2000.JPG","G2005.JPG","G2010.JPG","G2015.JPG"]
photogris =["G1945gris.JPG","G1985gris.JPG","G1990gris.JPG","G1995gris.JPG","G2000gris.JPG","G2005gris.JPG","G2010gris.JPG","G2015gris.JPG"]
annee = [1945,1985,1990,1995,2000,2005,2010,2015]

for n in range (0,len(photo)) :
    image = Image.open(photo[n])
    taille = image.size
    lignes = taille[0]
    colonnes = taille[1]
    imagegris = Image.new('RGB',(lignes,colonnes))
    for x in range (lignes) :
        for y in range (colonnes) :
            pixel = image.getpixel((x,y))
            r = pixel[0]
            g = pixel[1]
            b = pixel[2]
            gris = int((r+g+b)/3)
            p = (gris, gris, gris)
            imagegris.putpixel((x,y),p)
    imagegris.save(photogris[n])

    albedo = 0
    for x in range (lignes) :
        for y in range (colonnes) :
            pixel = imagegris.getpixel((x,y))
            albedo = albedo + pixel[0]
    albedo = albedo / (lignes*colonnes*255)

    plt.plot(annee[n],albedo,'o')
plt.savefig('graph.png')